### Hierarchy

- OwnPropsOfRenderer
  - MaterialLayoutRendererProps

## Index

### Properties

- cells
- direction
- elements
- enabled
- path
- renderers
- schema
- uischema
- visible

## Properties

### Optional cells

cells: JsonFormsCellRendererRegistryEntry[]

Inherited from OwnPropsOfRenderer.cells

### direction

direction: "row" | "column"

- Defined in packages/material/src/util/layout.tsx:64

### elements

elements: UISchemaElement[]

- Defined in packages/material/src/util/layout.tsx:63

### Optional enabled

enabled: boolean

Inherited from OwnPropsOfRenderer.enabled

Whether the rendered element should be enabled.

### Optional path

path: string

Inherited from OwnPropsOfRenderer.path

Optional instance path. Necessary when the actual data path can not be inferred via the UI schema element as it is the case with nested controls.

### Optional renderers

renderers: JsonFormsRendererRegistryEntry[]

Inherited from OwnPropsOfRenderer.renderers

### Optional schema

schema: JsonSchema

Inherited from OwnPropsOfRenderer.schema

The JSON schema that describes the data.

### Optional uischema

uischema: UISchemaElement

Inherited from OwnPropsOfRenderer.uischema

The UI schema to be rendered.

### Optional visible

visible: boolean

Inherited from OwnPropsOfRenderer.visible

Whether the rendered element should be visible.

Generated using TypeDoc